Package com.documentum.fc.client.fulltext.internal

# Interface IDfFtExportContext

public interface IDfFtExportContext
Context for construction of a DFTXML Document or a section of a DFTXML document.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMessage(String m)`
  Add a message for inclusion in the IDfFtExportResult for the document we are constructing.
  `Set`
  `getAttributesToExclude()`
  `List`
  `getContentList()`
  `Document`
  `getDocument()`
  `String`
  `getOperation()`
  `boolean`
  `isSuperUser()`
  `Element`
  `makeContentElement(IDfFtContentSpec contentSpec)`
  Create a dmftcontent element to represent the inclusion of a content object in a DFTXML document.
  `Element`
  `makeContentElement(IDfFtUriSpec uriSpec)`
  Create a dmftcontent element to represent the inclusion of a URI in a DFTXML document.
  `IDfFtContentSpec`
  `makeFtContentSpec(IDfId sysObjectId, int page, String format, String pageModifier, Map customMetaData)`
  Construct and return an IDfFtContentSpec to identify content for inclusion in the DFTXML document for this context's object.
  `IDfFtUriSpec`
  `makeFtUriSpec(String uri, boolean delete, String mimeType, Map customMetaData)`
  Construct and return an IDfFtUriSpec to identify content for inclusion in the DFTXML document for this context's object.

- ## Method Details

  - ### getDocument

    Document getDocument()
    Returns:
      the DFTXML document that is under construction.

  - ### addMessage

    void addMessage(String m)
    Add a message for inclusion in the IDfFtExportResult for the document we are constructing.
    Parameters:
      `m` -
    Since:
      5.3

  - ### getOperation

    String getOperation()
    Returns:
      a DFtOperationName for the indexing operation the tree being generated.
    Since:
      5.3

  - ### makeContentElement

    Element makeContentElement(IDfFtContentSpec contentSpec) throws DfException
    Create a dmftcontent element to represent the inclusion of a content object in a DFTXML document. The returned element can be added to the dmftcustom elemement.
    Parameters:
      `contentSpec` - defines the content object to include in the returned element.
    Returns:
      the requested dmftcontent element.
    Throws:
      `DfException`
    Since:
      5.3(SP1)

  - ### makeContentElement

    Element makeContentElement(IDfFtUriSpec uriSpec) throws DfException
    Create a dmftcontent element to represent the inclusion of a URI in a DFTXML document. The returned element can be added to the dmftcustom elemement.
    Parameters:
      `uriSpec` - defines the uri to include in the returned element.
    Returns:
      the requested dmftcontent element.
    Throws:
      `DfException`
      `DfException`
    Since:
      5.3(SP1)

  - ### getContentList

    List getContentList() throws DfException
    Returns:
      A List containing IDfFtContentSpec and IDfFtUriSpec objects to represent the unstructured data that will be included in the index for this object.
    Throws:
      `DfException`
    Since:
      5.3

  - ### makeFtContentSpec

    IDfFtContentSpec makeFtContentSpec(IDfId sysObjectId, int page, String format, String pageModifier, Map customMetaData)
    Construct and return an IDfFtContentSpec to identify content for inclusion in the DFTXML document for this context's object. The returned IDfFtContentSpec may be appended to the list returned by getContentList.

    Parameters:
      `sysObjectId` - The id of the sysobject to whoes content you wish to include.
      `page` - The page for the content you wish to include.
      `format` - The format for the content you wish to include.
      `pageModifier` - The format for the content you wish to include.
      `customMetaData` - A map contining names (keys) and values for custom String attributes to include in the DFTXML document - null is equivelent to an empty Map
    Since:
      5.3(SP1)

  - ### makeFtUriSpec

    IDfFtUriSpec makeFtUriSpec(String uri, boolean delete, String mimeType, Map customMetaData)
    Construct and return an IDfFtUriSpec to identify content for inclusion in the DFTXML document for this context's object. The returned IDfFtUriSpec may be appended to the list returned by getContentList.

    Parameters:
      `uri` - a URI to access the content you wish to include.
      `delete` - true means the generated DFTXML should instruct the the index to delete this document and false means the benerated DFTXML should instruct the index agent to retain the document.
      `mimeType` - The mimetype for the content referenced by uri.
      `customMetaData` - A map contining names (keys) and values for custom String attributes to include in the DFTXML - null is equivalent to an empty Map.
    Since:
      5.3(SP1)

  - ### getAttributesToExclude

    Set getAttributesToExclude() throws DfException
    Returns:
      A Set containing lower case attribute names for attributes to exclued from the index.
    Throws:
      `DfException`
    Since:
      5.3

  - ### isSuperUser

    boolean isSuperUser()